> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Report as CSV

> <Info>
  This endpoint does not adhere to the "v3 API endpoints" principles. 
  The "fields" query parameter is not supported, but all fields are 
  systematically returned.
</Info>

Download a report content as an CSV file `.csv`.

Column delimiter and numbers formating depends on the authentified user's culture.



## OpenAPI

````yaml /openapi-specs/timmi-timesheet-v3.yaml get /timmi-timesheet/api/reports/{reportId}/download-csv
openapi: 3.1.0
info:
  title: Lucca Timesheet API
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Timesheet API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: TimeEntries
    description: time-entries are the actual working hours observed by a user.
  - name: Timesheets
    description: Collection of time-entries for a User over a week / month.
  - name: Activities
    description: Time-entries referencing axis-sections to describe what the user has done.
  - name: Attendance
    description: Time-entries indicating working hours.
  - name: Workflow
    description: All actions regarding the approval process of timesheets.
  - name: Reports
    description: Reporting features of Lucca Timesheet.
paths:
  /timmi-timesheet/api/reports/{reportId}/download-csv:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - schema:
          type: integer
        name: reportId
        in: path
        required: true
        description: Identifier of the report.
    get:
      tags:
        - Reports
      summary: Download Report as CSV
      description: >-
        <Info>
          This endpoint does not adhere to the "v3 API endpoints" principles. 
          The "fields" query parameter is not supported, but all fields are 
          systematically returned.
        </Info>


        Download a report content as an CSV file `.csv`.


        Column delimiter and numbers formating depends on the authentified
        user's culture.
      operationId: get-timmi-timesheet-api-reports-reportId-download-csv
      responses:
        '200':
          description: OK
          content:
            application/octet-stream:
              schema:
                type: string
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string

````